: Class MsqlAdaptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.JDBC
Class MsqlAdaptor

    java.lang.Object
      |
      +--com.mortbay.JDBC.DbAdaptor
            |
            +--com.mortbay.JDBC.MsqlAdaptor

public class MsqlAdaptor
extends DbAdaptor

Fields inherited from class com.mortbay.JDBC.DbAdaptor
`dbDriver`

Constructor Summary
`MsqlAdaptor()` Constructor.

Method Summary
`java.lang.String` | `columnType(int type)` Map the a column type to database column type.
`java.lang.String` | `formatKeys(Table table)` Format the key columns for a table Return string describing the key columns for a CREATE statement.
`java.lang.String` | `go()` The go string
`java.lang.String` | `quote(java.lang.String s)` Quote a string value for the database.

Methods inherited from class com.mortbay.JDBC.DbAdaptor
`formatColumnValue, formatCreateIndex, formatCreateTable, formatTable, getJdbcDriver, nullColumnValue, primaryMarker`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsqlAdaptor

    public MsqlAdaptor()

  Constructor.

Method Detail

### quote

    public java.lang.String quote(java.lang.String s)

  Description copied from class: DbAdaptor
  Quote a string value for the database.
  Overrides:
    quote in class DbAdaptor
  Parameters:
    `s` -
  Returns:

### columnType

    public java.lang.String columnType(int type)

  Description copied from class: DbAdaptor
  Map the a column type to database column type.
  Overrides:
    columnType in class DbAdaptor
  Parameters:
    `type` -
  Returns:

### formatKeys

    public java.lang.String formatKeys(Table table)

  Description copied from class: DbAdaptor
  Format the key columns for a table Return string describing the key columns for a CREATE statement.
  Overrides:
    formatKeys in class DbAdaptor
  Parameters:
    `table` -
  Returns:

### go

    public java.lang.String go()

  Description copied from class: DbAdaptor
  The go string
  Overrides:
    go in class DbAdaptor
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD